GNU bug report logs - #51507
ls incorrectly displays single quotes

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: coreutils; Reported by: Joel Hansen <thejoelhansen@HIDDEN>; merged with #42766; dated Sat, 30 Oct 2021 10:18:03 UTC; Maintainer for coreutils is bug-coreutils@HIDDEN.
Merged 42766 51507. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51507 <at> debbugs.gnu.org:


Received: (at 51507) by debbugs.gnu.org; 31 Oct 2021 00:02:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 30 20:02:15 2021
Received: from localhost ([127.0.0.1]:58631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mgyIh-0002Ce-BY
	for submit <at> debbugs.gnu.org; Sat, 30 Oct 2021 20:02:15 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:44980)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1mgyIV-0001xY-9D
 for 51507 <at> debbugs.gnu.org; Sat, 30 Oct 2021 20:02:03 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id C16551600FC;
 Sat, 30 Oct 2021 17:01:57 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id cbJeSa5x_vyv; Sat, 30 Oct 2021 17:01:56 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id D31DE1600FD;
 Sat, 30 Oct 2021 17:01:56 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id AS83JD7Xv3nP; Sat, 30 Oct 2021 17:01:56 -0700 (PDT)
Received: from [192.168.1.9] (cpe-172-91-119-151.socal.res.rr.com
 [172.91.119.151])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id B28E61600FC;
 Sat, 30 Oct 2021 17:01:56 -0700 (PDT)
Message-ID: <bb855116-c32d-4ddc-3da9-342de93690ec@HIDDEN>
Date: Sat, 30 Oct 2021 17:01:56 -0700
MIME-Version: 1.0
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:91.0) Gecko/20100101
 Thunderbird/91.1.2
Content-Language: en-US
To: Joel Hansen <thejoelhansen@HIDDEN>
References: <CAN_4n3SiVznH6oczdOK5NoiezbNTKDo8+XSnRRXsnsZjjkRFBA@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Subject: Re: bug#51507: ls incorrectly displays single quotes
In-Reply-To: <CAN_4n3SiVznH6oczdOK5NoiezbNTKDo8+XSnRRXsnsZjjkRFBA@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.4 (--)
X-Debbugs-Envelope-To: 51507
Cc: 51507 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.4 (---)

On 10/29/21 13:32, Joel Hansen wrote:
> ls is incorrectly displaying single quotes around folders with spaces in
> them. This is confusing and unhelpful.

Opinions evidently differ on that point. That being said, here's an 
example where the quotes help and where your suggestion of using -N 
everywhere would introduce confusion.

$ ls -lN
total 0
lrwxrwxrwx 1 eggert eggert 6 Oct 30 16:55 c -> a -> b
lrwxrwxrwx 1 eggert eggert 1 Oct 30 16:56 c -> a -> b
$ ls -l
total 0
lrwxrwxrwx 1 eggert eggert 6 Oct 30 16:55  c -> 'a -> b'
lrwxrwxrwx 1 eggert eggert 1 Oct 30 16:56 'c -> a' -> b




Information forwarded to bug-coreutils@HIDDEN:
bug#51507; Package coreutils. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Oct 2021 10:17:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 30 06:17:57 2021
Received: from localhost ([127.0.0.1]:56672 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mglQy-0001kw-Tm
	for submit <at> debbugs.gnu.org; Sat, 30 Oct 2021 06:17:57 -0400
Received: from lists.gnu.org ([209.51.188.17]:49278)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <thejoelhansen@HIDDEN>) id 1mgYYG-0004PG-BS
 for submit <at> debbugs.gnu.org; Fri, 29 Oct 2021 16:32:39 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46866)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <thejoelhansen@HIDDEN>)
 id 1mgYYE-0004Kk-SZ
 for bug-coreutils@HIDDEN; Fri, 29 Oct 2021 16:32:36 -0400
Received: from mail-yb1-xb30.google.com ([2607:f8b0:4864:20::b30]:34533)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <thejoelhansen@HIDDEN>)
 id 1mgYYD-0006GF-3X
 for bug-coreutils@HIDDEN; Fri, 29 Oct 2021 16:32:34 -0400
Received: by mail-yb1-xb30.google.com with SMTP id o12so27220679ybk.1
 for <bug-coreutils@HIDDEN>; Fri, 29 Oct 2021 13:32:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:from:date:message-id:subject:to;
 bh=cT/PwiuwpOwkvNlrmfkNh3h2uBTVs2ih86kAfU/+ySc=;
 b=PXEo9oqaTj3xiy95tPIPHw5BYGnnAMskLsUP1kE3/iGq1dYql/GyvcQlF2eue2fW67
 1bO3FBK/LNjl2Wa/QEpj3el2TvVkLV9T4Qyl2NvcocmNDA4+l0CTOJ3qyvWbyaWgCiKI
 /vv4eyvKE9hZvvP1snSeCcb5m6WVg2olqWTZzu9863gTnOUTNHiLg2YY9T9vDR0FcUBz
 ozQppqfIqKfF/MJPWOrA+0FSmfhadrUC+O+w3vv4Wioe87a+w6CAYboYwaQ89Y6uLtJv
 JQQj+f8xoisI+jjihwcedm3MlAfQeNwV+17uuAIoBXPOvbrA87ocQ71ceEi400RxAomU
 2zBw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=cT/PwiuwpOwkvNlrmfkNh3h2uBTVs2ih86kAfU/+ySc=;
 b=ZzZfaVQYaq3kDZt2egHwN7iSOMejmB2HWoQe9du011t7mA4MxxUoyqiGUqtMiI5550
 gtZKf10q5tdMeohUOEzim8OqycitVOtSBJ3/koy5qXmSGZtYICqQy7HN7MqyD2vhq47i
 /8ffHAktEke3ZQVpLoVWGNmdnXekhpSKUp1df0EN/O3rBi6UGB2sAlDIAnl26A1+yX2k
 JCJtTBpkZelAhfOaQ8YoGNRNGQFgDs3DB1jzPcXC5CGGJa9J96CBsvN4uBETnc/MUqyo
 N++US9cxIUjhdVs5YrBhdkZz3mjsq04JBzR8KesoHK6zgkK1ZseQpvojkJNyOcGaLAij
 H5pQ==
X-Gm-Message-State: AOAM533cQ/49rnBCKkjOOEGantyw/6v5RbqTc9qs4Bywe7rVc500Ha3n
 V66H6FROF2AazVN4WxTEpSpyKLNefvcb2D58zXs3pqYh
X-Google-Smtp-Source: ABdhPJz3+i7lBC5bluFLoZkZ2dcnBhEb+AQnY1jMmC5agp4KO/dEPG8Yj0Pj4IE5YnMPtu7Cda58kApQGfLbWTDw/8o=
X-Received: by 2002:a05:6902:1008:: with SMTP id
 w8mr14968691ybt.440.1635539550728; 
 Fri, 29 Oct 2021 13:32:30 -0700 (PDT)
MIME-Version: 1.0
From: Joel Hansen <thejoelhansen@HIDDEN>
Date: Fri, 29 Oct 2021 13:32:20 -0700
Message-ID: <CAN_4n3SiVznH6oczdOK5NoiezbNTKDo8+XSnRRXsnsZjjkRFBA@HIDDEN>
Subject: ls incorrectly displays single quotes
To: bug-coreutils@HIDDEN
Content-Type: multipart/alternative; boundary="000000000000eff43f05cf83b9e3"
Received-SPF: pass client-ip=2607:f8b0:4864:20::b30;
 envelope-from=thejoelhansen@HIDDEN; helo=mail-yb1-xb30.google.com
X-Spam_score_int: 6
X-Spam_score: 0.6
X-Spam_bar: /
X-Spam_report: (0.6 / 5.0 requ) BAYES_50=0.8, DKIM_SIGNED=0.1, DKIM_VALID=-0.1,
 DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sat, 30 Oct 2021 06:17:55 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000eff43f05cf83b9e3
Content-Type: text/plain; charset="UTF-8"

ls is incorrectly displaying single quotes around folders with spaces in
them. This is confusing and unhelpful.

A temporary fix is to use update my ls alias with -N, on every machine I
use, everywhere.

--000000000000eff43f05cf83b9e3
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">ls is incorrectly displaying=C2=A0single quotes around=C2=
=A0folders with spaces in them. This is confusing and unhelpful.=C2=A0<div>=
<br></div><div>A temporary fix is to use update my ls alias with -N, on eve=
ry machine I use, everywhere.</div></div>

--000000000000eff43f05cf83b9e3--




Acknowledgement sent to Joel Hansen <thejoelhansen@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-coreutils@HIDDEN. Full text available.
Report forwarded to bug-coreutils@HIDDEN:
bug#51507; Package coreutils. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 31 Oct 2021 00:15:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.